org.eclipse.actf.util.win32

## Class FlashMSAAObjectFactory

- java.lang.Object
- - org.eclipse.actf.util.win32.FlashMSAAObjectFactory

    public class FlashMSAAObjectFactory
    extends Object

The factory class of FlashMSAAObject

### Constructor Summary

Constructors
Constructor and Description
`FlashMSAAObjectFactory()`

### Method Summary

Methods
`static FlashMSAAObject` `getFlashMSAAObjectFromElement(IUnknown iunk)`
`static FlashMSAAObject` `getFlashMSAAObjectFromPtr(long address)`
`static FlashMSAAObject` `getFlashMSAAObjectFromWindow(long hwnd)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FlashMSAAObjectFactory

    public FlashMSAAObjectFactory()

### Method Detail

#### getFlashMSAAObjectFromWindow

    public static FlashMSAAObject getFlashMSAAObjectFromWindow(long hwnd)

Parameters:
  `hwnd` - the window handle to be used to obtain FlashMSAAObject
Returns:
  the instance of the FlashMSAAObject corresponding to the hwnd
See Also:
  `FlashMSAAObject`

#### getFlashMSAAObjectFromPtr

    public static FlashMSAAObject getFlashMSAAObjectFromPtr(long address)

Parameters:
  `iacc` - the address of native IAccessible object
Returns:
  the instance of the FlashMSAAObject corresponding to the hwnd
See Also:
  `FlashMSAAObject`

#### getFlashMSAAObjectFromElement

    public static FlashMSAAObject getFlashMSAAObjectFromElement(IUnknown iunk)

Parameters:
  `iunk` - the IUnknown instance of the HTML element to be used to obtain FlashMSAAObject
Returns:
  the instance of the FlashMSAAObject corresponding to the iunk